Bug 270301 - update notifier icon doesn't work after first use
update notifier icon doesn't work after first use
Product: Fedora
Classification: Fedora
Component: yum-updatesd (Show other bugs)
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-31 00:45 EDT by BobCat
Modified: 2008-05-28 15:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-28 15:02:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description BobCat 2007-08-31 00:45:22 EDT
Description of problem:

After the first use of the puplet icon (in the notification area) to apply
updates, the system does not check for updates any more.

Version-Release number of selected component (if applicable):
[root@micron bob]# rpm -qa | grep yum

How reproducible:

Steps to Reproduce:
1.  Reboot system.
2.  Observe puplet icon.
3.  When icon and balloon indicate that updates are available, click
    icon/balloon to launch update program.
4.  Observe lack of puplet icon.
5.  Run "pup" as root.
6.  Pup finds updates, or lack thereof.

Actual results:

Expected results:

Additional info:
Fedora 7
This has been observed for several kernel revisions.
Comment 1 Tomasz Kepczynski 2007-09-15 15:06:21 EDT
It seems I have the same problem on CentOS5 with
I know, it's not Fedora/RHEL but still worth noting
I have setup email notifications. It looks like
yum-updatesd finds updates after it is restarted,
but fails to see them later on. I've observed
(using lsof) that yum-updatesd keeps quite a
few sockets open in CLOSE_WAIT state, and I guess
this may be the reason why it is stuck.
Comment 2 Bug Zapper 2008-05-14 10:10:35 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 BobCat 2008-05-14 19:54:46 EDT
Since upgrading to Fedora 8, this behavior no longer occurs.  Apparently it's 
been fixed downstream.  Many thanks.

Note You need to log in before you can comment on or make changes to this bug.